"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRandomStr = exports.encryptSm3 = void 0;
/*
 * @Author: 储金柱
 * @Date: 2022-01-24 20:11:16
 * @LastEditors: 储金柱
 * @LastEditTime: 2022-03-18 15:11:41
 * @Description:
 * @FilePath: \src\sdk\lib\utils.ts
 */
var js_base64_1 = require("js-base64");
function encryptSm3(secret, params) {
    var sm3 = require('sm-crypto').sm3;
    var obj = JSON.parse(js_base64_1.Base64.decode(js_base64_1.Base64.encode(JSON.stringify(params))));
    if (obj.sign) {
        delete obj.sign;
    }
    var arr = [];
    var num = 0;
    for (var i in obj) {
        arr[num] = i;
        num++;
    }
    var sortArr = arr.sort();
    var str = '';
    for (var j in sortArr) {
        str += sortArr[j] + '=' + obj[sortArr[j]] + '&';
    }
    str += 'secret=' + secret;
    return sm3(str).toUpperCase();
}
exports.encryptSm3 = encryptSm3;
function createRandomStr() {
    return Date.parse(new Date().toString()).toString() + Math.floor(Math.random() * 1000);
}
exports.createRandomStr = createRandomStr;
//# sourceMappingURL=utils.js.map